Results 1 to 8 of 8

Thread: error while loading shared libraries: libcurl-gnutls.so.4

  1. #1

    Default error while loading shared libraries: libcurl-gnutls.so.4

    I am trying to run Don't Starve game but I'm getting this error:
    Code:
    error while loading shared libraries: libcurl-gnutls.so.4: cannot open shared object file: No such file or directory
    After some searching I found the ldd command and run it:
    Code:
    ldd dontstarve    linux-vdso.so.1 (0x00007ffe54eb2000)
        libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007f923317c000)
        libSDL2-2.0.so.0 => ./lib64/libSDL2-2.0.so.0 (0x00007f9233088000)
        libcurl-gnutls.so.4 => not found
        librt.so.1 => /lib64/librt.so.1 (0x00007f9232e80000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f9232c62000)
        libfmodevent64.so => ./lib64/libfmodevent64.so (0x00007f92329d8000)
        libfmodex64.so => ./lib64/libfmodex64.so (0x00007f9232659000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f92322d0000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f9231fd3000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f9231dbc000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f9231a18000)
        libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007f92317ee000)
        libxcb-dri3.so.0 => /usr/lib64/libxcb-dri3.so.0 (0x00007f92315eb000)
        libxcb-present.so.0 => /usr/lib64/libxcb-present.so.0 (0x00007f92313e7000)
        libxcb-sync.so.1 => /usr/lib64/libxcb-sync.so.1 (0x00007f92311e1000)
        libxshmfence.so.1 => /usr/lib64/libxshmfence.so.1 (0x00007f9230fde000)
        libglapi.so.0 => /usr/lib64/libglapi.so.0 (0x00007f9230daf000)
        libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f9230b9d000)
        libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007f923099a000)
        libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007f9230793000)
        libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007f9230591000)
        libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f9230253000)
        libxcb-glx.so.0 => /usr/lib64/libxcb-glx.so.0 (0x00007f923003a000)
        libxcb-dri2.so.0 => /usr/lib64/libxcb-dri2.so.0 (0x00007f922fe35000)
        libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f922fc15000)
        libXxf86vm.so.1 => /usr/lib64/libXxf86vm.so.1 (0x00007f922fa0e000)
        libdrm.so.2 => /usr/lib64/libdrm.so.2 (0x00007f922f7ff000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f922f5fb000)
        /lib64/ld-linux-x86-64.so.2 (0x000056375a1d2000)
        libfmodex64-4.44.07.so => ./lib64/libfmodex64-4.44.07.so (0x00007f922f27b000)
        libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f922f077000)
    I'm running Leap 42.2 and Gnome DE.

    I am very new to linux so if you need any more info please tell.

    Thanks in advance.

  2. #2

    Default Re: error while loading shared libraries: libcurl-gnutls.so.4

    Bump please.

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    29,858
    Blog Entries
    15

    Default Re: error while loading shared libraries: libcurl-gnutls.so.4

    Hi
    No package exists (probably a tls security issue), maybe try a symlink to libcurl (a hack!), switch to root user and try;
    Code:
    ln -s /usr/lib64/libcurl.so.4 /usr/lib64/libcurl-gnutls.so.4
    Else ask the packager(s) of the game to include it... Not sure, but maybe even drop the requirement....?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Default Re: error while loading shared libraries: libcurl-gnutls.so.4

    Quote Originally Posted by malcolmlewis View Post
    Hi
    No package exists (probably a tls security issue), maybe try a symlink to libcurl (a hack!), switch to root user and try;
    Code:
    ln -s /usr/lib64/libcurl.so.4 /usr/lib64/libcurl-gnutls.so.4
    Thank you. I will try it once I get home.
    Else ask the packager(s) of the game to include it... Not sure, but maybe even drop the requirement....?
    I installed it on a fresh Ubuntu installation and it runs without any issue. So I don't think it's a game problem.

    Thank you.

  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    29,858
    Blog Entries
    15

    Default Re: error while loading shared libraries: libcurl-gnutls.so.4

    Hi
    Well for anything other than Debian based distro, which is the only one using that package... so from my perspective it's erring to a upstream/developer bug If they used openssl instead it wouldn't be an issue...
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  6. #6

    Default Re: error while loading shared libraries: libcurl-gnutls.so.4

    But isn't possible to to install it or pick it somewhere and correct this problem?

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    29,858
    Blog Entries
    15

    Default Re: error while loading shared libraries: libcurl-gnutls.so.4

    On Fri 02 Dec 2016 11:26:01 PM CST, Spinus wrote:

    But isn't possible to to install it or pick it somewhere and correct
    this problem?


    Hi
    Rebuild curl and add gnutls support... now how that would affect other
    programs and applications...not sure.

    on openSUSE openssl support is conditional and excluded, so I guess it
    could be done... Maybe raiuse a bug report and see if the Maintainers
    will take it on...
    http://en.opensuse.org/openSUSE:Submitting_bug_reports

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE Leap 42.1|GNOME 3.16.2|4.1.34-33-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  8. #8

    Default Re: error while loading shared libraries: libcurl-gnutls.so.4

    Thank you for all the help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •